Gentoo Archives: gentoo-sparc

From: Ralph Mitchell <rmitchell@×××.com>
To: Paul Heinlein <heinlein@××××××.com>
Cc: Gentoo Sparc List <gentoo-sparc@l.g.o>
Subject: Re: [gentoo-sparc] Dueling ebuilds?
Date: Wed, 27 Oct 2004 05:19:31
In Reply to: [gentoo-sparc] Dueling ebuilds? by Paul Heinlein
My understanding is that modutils goes with 2.4.x and module-init-tools 
goes with anything 2.5.x and higher.  I certainly had a problem with 
modules on an x86 laptop with both installed.  In the end I unmerged 
both and then re-emerged module-init-tools, as the description for that 
one says:

    "Kernel module tools for the development kernel >=2.5.48"

and I'm using 2.6.9 now.

I have both installed on a sparc64 system, and it's probably just luck 
that module-init-tools was the last one to be installed, and so it all 
works.  When I have time to experiment, I'll see about fixing that.

Ralph Mitchell

Paul Heinlein wrote:

>Does this look familiar to anyone? I've got modutils-2.4.25 and >module-init-tools-3.0-r2 installed. It looks like dueling dependencies >to me, but I'm not a portage expert, not even close. :-) > >---- 8-< ----- >irvine root # emerge -Dpv world > >These are the packages that I would merge, in order: > >Calculating world dependencies ...done! >[blocks B ] sys-apps/modutils (from pkg sys-apps/module-init-tools-3.0-r2) >[blocks B ] sys-apps/module-init-tools (from pkg sys-apps/modutils-2.4.25) >----- 8-< ----- > >Thanks. > >-- Paul Heinlein <heinlein@××××××.com> > >-- >gentoo-sparc@g.o mailing list > >
-- gentoo-sparc@g.o mailing list